Subject: Re: bug#15763: autoload-generate-file-autoloads can put package--builtin-versions in wrong file

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 16:14:17 +0100

Glenn Morris <[email-masked]> writes:

> In current trunk, the autoload section of lisp/htmlfontify.el contains:
>
>   ;;; Generated autoloads from hfy-cmap.el
>   (push (purecopy '(htmlfontify 0 20)) package--builtin-versions)
>
> That is:
>
> 1) Incorrect (htmlfontify.el is at version 0.21, whereas hfy-cmap.el is
> at version 0.20).
>
> 2) In the wrong file.
>
> I guess autoload-generate-file-autoloads should only do the
> package--builtin-versions stuff when writing to the top-level
> loaddefs.el file, not when respecting a buffer-local
> generated-autoload-file.

I'm guessing this was fixed by this commit:

commit 459cf7cb92445e9336d649f128ec1af274e3f5a1
Author:     Phillip Lord <[email-masked]>
AuthorDate: Wed Dec 16 23:15:44 2015 +0000

    htmlfontify generate autoload to non-versioned file.
    
    * lisp/Makefile.in: Add htmlfontity-loaddefs to autogenel.
    * lisp/hfy-cmap.el: Update file local.
    * lisp/htmlfontify.el: Remove autoloads, add require.
    * test/lisp/htmlfontify-tests.el: Test autoload functionality.

So I'm closing this bug report.  Please reopen if there's more to be
done here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no